weka.core.json

## Class Parser

- java.lang.Object
- - java_cup.runtime.lr_parser
  - - weka.core.json.Parser

-     public class Parser
      extends java_cup.runtime.lr_parser

  CUP v0.11b 20141202 (SVN rev 60) generated parser.

- - ### Field Summary

    - ### Fields inherited from class java_cup.runtime.lr_parser

      `symbolFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parser()` Default constructor.
    `Parser(java_cup.runtime.Scanner s)` Constructor which sets the default scanner.
    `Parser(java_cup.runtime.Scanner s, java_cup.runtime.SymbolFactory sf)` Constructor which sets the default scanner.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short[][]` | `action_table()` Access to parse-action table.
    `java_cup.runtime.Symbol` | `do_action(int act_num, java_cup.runtime.lr_parser parser, java.util.Stack stack, int top)` Invoke a user supplied parse action.
    `int` | `EOF_sym()` `EOF` Symbol index.
    `int` | `error_sym()` `error` Symbol index.
    `JSONNode` | `getResult()` Returns the JSON data structure.
    `java.lang.Class` | `getSymbolContainer()`
    `static void` | `main(java.lang.String[] args)` Runs the parser from commandline.
    `short[][]` | `production_table()` Access to production table.
    `short[][]` | `reduce_table()` Access to `reduce_goto` table.
    `int` | `start_production()` Indicates start production.
    `int` | `start_state()` Indicates start state.
    `void` | `user_init()` User initialization code.

    - ### Methods inherited from class java_cup.runtime.lr_parser

      `debug_message, debug_parse, debug_reduce, debug_shift, debug_stack, done_parsing, dump_stack, getScanner, getSymbolFactory, parse, report_error, report_fatal_error, scan, setScanner, syntax_error, unrecovered_syntax_error`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Parser

          public Parser()

      Default constructor.

    - #### Parser

          public Parser(java_cup.runtime.Scanner s)

      Constructor which sets the default scanner.

    - #### Parser

          public Parser(java_cup.runtime.Scanner s,
                        java_cup.runtime.SymbolFactory sf)

      Constructor which sets the default scanner.

  - ### Method Detail

    - #### getSymbolContainer

          public final java.lang.Class getSymbolContainer()

    - #### production_table

          public short[][] production_table()

      Access to production table.
      Specified by:
        `production_table` in class `java_cup.runtime.lr_parser`

    - #### action_table

          public short[][] action_table()

      Access to parse-action table.
      Specified by:
        `action_table` in class `java_cup.runtime.lr_parser`

    - #### reduce_table

          public short[][] reduce_table()

      Access to `reduce_goto` table.
      Specified by:
        `reduce_table` in class `java_cup.runtime.lr_parser`

    - #### do_action

          public java_cup.runtime.Symbol do_action(int act_num,
                                                   java_cup.runtime.lr_parser parser,
                                                   java.util.Stack stack,
                                                   int top)
                                            throws java.lang.Exception

      Invoke a user supplied parse action.
      Specified by:
        `do_action` in class `java_cup.runtime.lr_parser`
      Throws:
        `java.lang.Exception`

    - #### start_state

          public int start_state()

      Indicates start state.
      Specified by:
        `start_state` in class `java_cup.runtime.lr_parser`

    - #### start_production

          public int start_production()

      Indicates start production.
      Specified by:
        `start_production` in class `java_cup.runtime.lr_parser`

    - #### EOF_sym

          public int EOF_sym()

      `EOF` Symbol index.
      Specified by:
        `EOF_sym` in class `java_cup.runtime.lr_parser`

    - #### error_sym

          public int error_sym()

      `error` Symbol index.
      Specified by:
        `error_sym` in class `java_cup.runtime.lr_parser`

    - #### user_init

          public void user_init()
                         throws java.lang.Exception

      User initialization code.
      Overrides:
        `user_init` in class `java_cup.runtime.lr_parser`
      Throws:
        `java.lang.Exception`

    - #### getResult

          public JSONNode getResult()

      Returns the JSON data structure.
      Returns:
        the result

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Runs the parser from commandline. Expects a filename as first parameter, pointing to a JSON file.
      Parameters:
        `args` - the commandline arguments
      Throws:
        `java.lang.Exception` - if something goes wrong